Skip to content

Update a recurring event

PATCH
/api/calendar/recurring/{id}

Updates a recurring event pattern. Use updateType to control which instances are affected.

id
required

UUID identifier

string format: uuid
Example
550e8400-e29b-41d4-a716-446655440000

UUID identifier

object
title
string
>= 1 characters <= 200 characters
description
string
<= 5000 characters
location
string
<= 500 characters
rrule

RFC 5545 RRULE format

string
>= 1 characters
startTime

Time of day (HH:MM)

string
/^\d{2}:\d{2}(:\d{2})?$/
durationMinutes
integer
default: 120 >= 15 <= 1440
timezone
string
default: UTC <= 100 characters
startDate

Start date (YYYY-MM-DD)

string
/^\d{4}-\d{2}-\d{2}$/
endDate
string
/^\d{4}-\d{2}-\d{2}$/
rehearsalType
string
Allowed values: full-band section acoustic tech-rehearsal
focusSongIds
Array<string>
<= 50 items
agenda
string
<= 5000 characters
roomBookingRef
string
<= 200 characters
cost
number
<= 10000
costSplitAmongAttendees
boolean
notes
string
<= 10000 characters
updateType

How to update instances: this (only pattern), future (pattern + future instances), all (pattern + all instances)

string
Allowed values: this future all

Recurring event updated

object
ok
required
boolean

Validation error

object
ok
required
boolean
error
required
string

Unauthorized

object
ok
required
boolean
error
required
string

Recurring event not found

object
ok
required
boolean
error
required
string